body{
    color: var(--ultriix-font-color-normal);
    font-weight: 400;
    font-style: Regular;
    line-height: 1.5;
    font-family: Outfit;
}

.main-content p,ul{
    margin: 0;
}

.main-content > div,.main-content > section{
    flex: 1;
}

.main-content .btn{
    border-radius: 25px;
    height: 42px;
}
.btn-primary{
    color: var(--ultriix-color-background-white);
    background-color: var(--ultriix-color-primary);
    border-color: var(--ultriix-color-primary);
}
.btn-primary:hover{
    background-color: var(--ultriix-color-primary);
    border-color: var(--ultriix-color-primary);
    opacity: 0.8;
}
.btn-dark{
    color: var(--ultriix-color-background-white);
    background-color: var(--ultriix-color-dark);
    border-color: var(--ultriix-color-dark);
}
.btn-dark:hover{
    background-color: var(--ultriix-color-dark);
    border-color: var(--ultriix-color-dark);
    opacity: 0.8;
}
.btn-outline-secondary{
    color: var(--ultriix-font-color-normal);
    border-color: var(--ultriix-color-btn-secondary);
}
.btn-outline-secondary:hover {
    color: var(--ultriix-font-color-normal2);
    background-color: var(--ultriix-color-secondary);
    border-color: var(--ultriix-color-secondary);
}
.btn-outline-secondary.focus, .btn-outline-secondary:focus {
    box-shadow: none;
}
.btn-dark.focus, .btn-dark:focus {
    color: var(--ultriix-color-background-white);
    background-color: var(--ultriix-color-dark);
    border-color: var(--ultriix-color-dark);
    box-shadow: none;
}
.btn-primary.focus, .btn-primary:focus {
    color: var(--ultriix-color-background-white);
    background-color: var(--ultriix-color-primary);
    border-color: var(--ultriix-color-primary);
    box-shadow: none;
}
i.bi.bi-chevron-up{
    transition: transform 0.3s ease;
}
.collapsed i.bi.bi-chevron-up {
    transform: rotate(180deg);
}

@media (min-width: 1200px) {
    .container,.container-lg,.container-md,.container-sm,.container-xl {
        max-width:1160px;
    }
}

.carousel,.buy-content{
    width: 100%;
}

#pills-tabMedia img{
    padding: 0;
}

.main-content #pills-tab{
    margin: calc(var(--ultriix-space-normal) * 2) 0 calc(var(--ultriix-space-normal) * 3);
}
.main-content .nav-pills{
    column-gap: calc(var(--ultriix-space-normal) * 3);
}
.main-content .nav-pills .nav-link{
    line-height: 1.3;
    font-size: var(--ultriix-font-size-text-normal1);
    font-weight: 400;
    font-style: Regular;
    padding: 5px 25px;
    height: auto;
}
#pills-video{
    position: relative;
    width: 100%;
    height: 0;
    padding-bottom: 56.25%; /* 16:9 比例，根据需要调整 */
    overflow: hidden;
}
#pills-video iframe{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
}

.carousel-indicators li{
    width: 10px;
    height: 10px;
    border-top: 0;
    border-bottom: 0;
    border-radius: 5px;
    background-color: #999999;
}
.carousel-indicators .active{
    background-color: rgba(0, 0, 0, 0.8);
    opacity: 1;
}

.buy-content > h1{
    font-weight: 700;
    font-style: Bold;
    font-size: var(--ultriix-font-size-title);
    color: var(--ultriix-font-color-important);
    line-height: 1.5;
}

.price{
    font-size: var(--ultriix-font-size-price-normal);
    color: var(--ultriix-font-color-disabled);
    margin-bottom: 10px;
}

.price span:first-child{
    font-weight: 600;
    font-style: SemiBold;
    font-size: var(--ultriix-font-size-price-primary);
    margin-right: 10px;
    background: linear-gradient(270deg, #FF420A 0%, #E43DAF 46.9%, #916EFF 100%);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

.price span:nth-child(2){
    text-decoration: line-through;
}

.price span:last-child{
    font-size: var(--ultriix-font-size-price-normal);
    color: var(--ultriix-color-danger);
    margin-left: 30px;
}

.buy-content > p{
    font-size: var(--ultriix-font-size-text-primary2);
    color: var(--ultriix-font-color-disabled);
}

.package{
    margin-top: calc(var(--ultriix-space-normal) * 5);
}

.package p{
    font-size: var(--ultriix-font-size-text-normal1);
    color: var(--ultriix-font-color-disabled2);
    margin-bottom: 10px;
}

.package button:first-of-type{
    margin-bottom: 20px;
}

.package button:last-child{
    width: 100%;
    height: 50px;
    margin: 30px 0;
}

.detail,.checkout{
    padding-bottom: 15px;
    border-bottom: 0.5px solid #CCCCCC;
    margin-bottom: 20px;
}

.detail > .btn, .checkout > .btn{
    height: 34px;
    width: 100%;
    border-radius: 0;
    padding: 0;
    font-size: var(--ultriix-font-size-text-primary1);
    margin-bottom: 4px;
}

.detail > div p{
    font-weight: 300;
    font-style: Light;
    line-height: 1.7;
    font-size: var(--ultriix-font-size-text-primary2);
    color: var(--ultriix-font-color-disabled2);
    margin: 0;
}
.detail .detail-highlight{
    font-weight: 500;
    font-style: Medium;
}

.checkout img{
    height: 40px;
}

@media (min-width: 768px) {
    .detail > div p{
        font-weight: 300;
        font-style: Light;
        color: var(--ultriix-font-color-normal2);
    }
    .detail .detail-highlight{
        font-weight: 400;
        font-style: Regular;
        color: var(--ultriix-font-color-normal);
    }

    .detail > .btn, .checkout > .btn{
        margin-bottom: 20px;
        font-weight: 500;
        font-style: Medium;
    }
}


/* 详情导航栏 */
.detail-navs{
    padding-bottom: 50px;
}
@media (min-width: 768px) {
    .detail-navs{
        padding-left: 15px !important;
        padding-right: 15px !important;
    }
}
.detail-navs > ul{
    z-index: 10;
    background-color: var(--ultriix-color-background-white);
    overflow-x: auto;
    white-space: nowrap;
    /* Firefox 隐藏滚动条 */
    scrollbar-width: none;
    /* IE/Edge 旧版隐藏滚动条 */
    -ms-overflow-style: none;
    /* Webkit 内核隐藏滚动条（同时保留，确保全面覆盖） */
    &::-webkit-scrollbar {
        display: none;
    }
}

.nav-pills .nav-link.active, .nav-pills .show>.nav-link, .nav-pills .nav-link.active:hover {
    color: var(--ultriix-color-background-white);
    background-color: var(--ultriix-color-primary);
    border-color: var(--ultriix-color-primary);
}

.nav-pills .nav-link {
    border-radius: 25px;
    height: 50px;
    font-weight: 400;
    font-style: Regular;
    font-size: 16px;
    color: var(--ultriix-font-color-disabled);
    width: 100%;
    line-height: calc(50px - 1rem);
}
.nav-pills .nav-link:hover{
    background-color: var(--ultriix-color-secondary);
}
.tab-content img, .tab-content video{
    width: 100%;
    padding-bottom: calc(var(--ultriix-space-normal) * 5);
}
.tab-content a>img{
    width: calc(var(--ultriix-space-normal) * 9);
    padding: 0 calc(var(--ultriix-space-normal) * 3.6);
    box-sizing: content-box;
    border-right: 1px solid var(--ultriix-color-primary);
}
.tab-content a:last-child>img{
    border: none;
}

.tab-content{
    font-weight: 300;
    font-style: Light;
    font-size: var(--ultriix-font-size-text-primary1);
}
.tab-content .tab-pane > p:first-child{
    font-weight: 400;
    font-style: Regular;
    font-size: var(--ultriix-font-size-text-normal1);
    margin: 0 0 20px;
}

#pills-0 h2{
    padding-bottom: calc(var(--ultriix-space-normal) * 3);
    font-weight: 400;
    font-style: Regular;
    font-size: var(--ultriix-font-size-text-primary3);
    color: var(--ultriix-font-color-normal2);
}
#pills-0 .description{
    padding-bottom: calc(var(--ultriix-space-normal) * 2);
    font-weight: 500;
    font-style: Medium;
    font-size: var(--ultriix-font-size-text-normal1);
}

#pills-1 strong{
    font-weight: 700;
    font-style: Bold;
}
#pills-1 p:first-child{
    margin-bottom: 10px;
}
#pills-1 .text2{
    padding: 30px 10px;
    background: var(--ultriix-font-color-transparent);
    margin-bottom: 20px;
}
#pills-1 .text2:last-child{
    margin-bottom: 30px;
}
#pills-1 .text2 strong{
    font-weight: 400;
    font-style: Regular;
}
#pills-1 .text2 p{
    font-weight: 500;
    font-style: Medium;
}

#pills-1 .text3{
    margin: calc(var(--ultriix-space-normal) * 3) 0 calc(var(--ultriix-space-normal) * 5);
}

#pills-1 .text3 li{
    margin-bottom: calc(var(--ultriix-space-normal) * 2);
}
#pills-1 .text3 li:last-child{
    margin-bottom: 0;
}

#pills-1 .email{
    font-weight: 700;
    font-style: Bold;
    font-size: var(--ultriix-font-size-price-primary);
    color: var(--ultriix-font-color-normal2);
    text-align: center;
}

#pills-2{
    font-family: Montserrat;
    font-weight: 700;
    font-style: Bold;
}
#pills-2 p{
    margin: 35px 0 25px;
}
#pills-2 p:first-child{
    margin: 0 0 20px;
}
#pills-2 img{
    padding-bottom: 0;
}
#pills-2 p:last-child{
    font-weight: 300;
    font-size: var(--ultriix-font-size-text-normal1);
    color: var(--ultriix-font-color-disabled);
}

#pills-3 p{
    font-weight: 400;
    font-style: Regular;
    font-size: var(--ultriix-font-size-text-normal1);
    margin-bottom: 20px;
}
#pills-3 a{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 120px;
    font-weight: 400;
    font-style: Regular;
    font-size: var(--ultriix-font-size-text-normal1);
    background: rgba(0, 96, 239, 0.15);
    border-radius: 10px;
}

/*  底部<购买footer>样式  */
.buy-footer_instead{
    height: 70px;
    background: #F7F9FA;
    display: none;
}
#buy-footer{
    background-color: var(--ultriix-color-background-white);
    width: 100%;
    padding: 16px;
    column-gap: 14px;
    box-shadow: 0px -4px 10.4px 0px #00000012;
    align-items: stretch;
    position: fixed;
    right: 0;
    bottom: -70px;
    left: 0;
    z-index: 10;
}
#buy-footer .buy-footer-price{
    font-weight: 300;
    font-style: Light;
    font-size: 12px;
    line-height: 1.7;
}
#buy-footer .buy-footer-price span:last-child{
    font-weight: 500;
    font-style: Medium;
    line-height: 1;
    font-size: var(--ultriix-font-size-text-primary3);
    color: var(--ultriix-color-danger);
}
#buy-footer .btn{
    border-radius: 30px;
    font-weight: 500;
    font-style: Medium;
    font-size: 18px;
    width: 120px;
    height: 38px;
    padding: 0;
    line-height: 38px;
}

@media (min-width: 768px) {
    #buy-footer{
        padding: 10px 48px;
    }
    #buy-footer .btn{
        width: 150px;
        height: 50px;
        line-height: 50px;
    }
}

